Update Publication
curl --request PATCH \
--url https://api.mokaru.ai/v1/publications/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"publisher": "<string>",
"date": "<string>",
"url": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.mokaru.ai/v1/publications/{id}"
payload = {
"name": "<string>",
"publisher": "<string>",
"date": "<string>",
"url": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
publisher: '<string>',
date: '<string>',
url: '<string>',
description: '<string>'
})
};
fetch('https://api.mokaru.ai/v1/publications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Publications
Update Publication
Update an existing publication
PATCH
/
v1
/
publications
/
{id}
Update Publication
Overview
Update an existing publication. Only provided fields are modified. Passnull to clear an optional field.
Scope required:
publications:write | Rate limit: 20 requests/minRequest
PATCH /v1/publications/clx...
Content-Type: application/json
Path Parameters
string
required
Publication id
Body Parameters
string
Publication title (max 300)
string
Publisher (max 200, nullable)
string
ISO 8601 date string (nullable)
string
Publication URL (max 500, nullable)
string
Description (nullable)
Query Parameters
string
Target a specific resume by its id (from
list-resumes). Omit to use your base/default resume; the resume must be self-contained.Response
{
"success": true,
"id": "clx..."
}
Was this page helpful?
⌘I
